Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom
Class CharacterDataImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.CharacterDataImpl

All Implemented Interfaces:
  Cloneable, EventTarget, Node, NodeList, Serializable

Direct Known Subclasses:
  CommentImpl, ProcessingInstructionImpl, TextImpl

Deprecated. please use JDK supplied XML parsers and transformers

public abstract class CharacterDataImpl
extends ChildNode

CharacterData is an abstract Node that can carry character data as its Value. It provides shared behavior for Text, CData, and possibly other node types. All offsets are 0-based.

Since ProcessingInstructionImpl inherits from this class to reuse the setNodeValue method, this class isn't declared as implementing the interface CharacterData. This is done by relevant subclasses (TexImpl, CommentImpl).

This class doesn't directly support mutation events, however, it notifies the document when mutations are performed so that the document class do so.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary
`protected String` | `data` Deprecated.

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`` | `CharacterDataImpl()` Deprecated.
`protected` | `CharacterDataImpl(CoreDocumentImpl ownerDocument, String data)` Deprecated. Factory constructor.

Method Summary
`void` | `appendData(String data)` Deprecated. Concatenate additional characters onto the end of the data stored in this node.
`void` | `deleteData(int offset, int count)` Deprecated. Remove a range of characters from the node's value.
`NodeList` | `getChildNodes()` Deprecated. Returns an empty node list.
`String` | `getData()` Deprecated. Retrieve character data currently stored in this node.
`int` | `getLength()` Deprecated. Report number of characters currently stored in this node's data.
`String` | `getNodeValue()` Deprecated. Returns the node value.
`void` | `insertData(int offset, String data)` Deprecated. Insert additional characters into the data stored in this node, at the offset specified.
`void` | `replaceData(int offset, int count, String data)` Deprecated. Replace a series of characters at the specified (zero-based) offset with a new string, NOT necessarily of the same length.
`void` | `setData(String value)` Deprecated. Store character data into this node.
`void` | `setNodeValue(String value)` Deprecated. Sets the content, possibly firing related events, and updating ranges (via notification to the document)
`protected void` | `setNodeValueInternal(String value)` Deprecated. This function added so that we can distinguish whether setNodeValue has been called from some other DOM functions.
`String` | `substringData(int offset, int count)` Deprecated. Substring is more than a convenience function.

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`cloneNode, getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getFirstChild, getInterface, getLastChild, getLocalName, getNamespaceURI, getNodeName, getNodeType, getOwnerDocument, getPrefix, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, item, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, normalize, removeChild, removeEventListener, replaceChild, setPrefix, setReadOnly, setTextContent, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`compareDocumentPosition, getFeature, lookupPrefix, setUserData`

Field Detail

### data

    protected String data

  Deprecated.

Constructor Detail

### CharacterDataImpl

    public CharacterDataImpl()

  Deprecated.

### CharacterDataImpl

    protected CharacterDataImpl(CoreDocumentImpl ownerDocument,
                                String data)

  Deprecated.
  Factory constructor.

Method Detail

### appendData

    public void appendData(String data)

  Deprecated.
  Concatenate additional characters onto the end of the data stored in this node. Note that this, and insert(), are the paths by which a DOM could wind up accumulating more data than the language's strings can easily handle. (See above discussion.)

  Throws:
    `DOMException(NO_MODIFICATION_ALLOWED_ERR)` - if node is readonly.

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws DOMException

  Deprecated.
  Remove a range of characters from the node's value. Throws a DOMException if the offset is beyond the end of the string. However, a deletion _count_ that exceeds the available data is accepted as a delete-to-end request.

  Throws:
    `DOMException(INDEX_SIZE_ERR)` - if offset is negative or greater than length, or if count is negative.
    `DOMException(NO_MODIFICATION_ALLOWED_ERR)` - if node is readonly.
    `DOMException`

### getChildNodes

    public NodeList getChildNodes()

  Deprecated.
  Returns an empty node list.

  Specified by:
    `getChildNodes` in interface `Node`
  Overrides:
    `getChildNodes` in class `NodeImpl`

### getData

    public String getData()

  Deprecated.
  Retrieve character data currently stored in this node.

  Throws:
    `DOMExcpetion(DOMSTRING_SIZE_ERR)` - In some implementations, the stored data may exceed the permitted length of strings. If so, getData() will throw this DOMException advising the user to instead retrieve the data in chunks via the substring() operation.

### getLength

    public int getLength()

  Deprecated.
  Report number of characters currently stored in this node's data. It may be 0, meaning that the value is an empty string.

  Specified by:
    `getLength` in interface `NodeList`
  Overrides:
    `getLength` in class `NodeImpl`
  Returns:
    int
  See Also:
    `ParentNode`

### getNodeValue

    public String getNodeValue()

  Deprecated.
  Description copied from class: `NodeImpl`
  Returns the node value.

  Specified by:
    `getNodeValue` in interface `Node`
  Overrides:
    `getNodeValue` in class `NodeImpl`

### insertData

    public void insertData(int offset,
                           String data)
                    throws DOMException

  Deprecated.
  Insert additional characters into the data stored in this node, at the offset specified.

  Throws:
    `DOMException(INDEX_SIZE_ERR)` - if offset is negative or greater than length.
    `DOMException(NO_MODIFICATION_ALLOWED_ERR)` - if node is readonly.
    `DOMException`

### replaceData

    public void replaceData(int offset,
                            int count,
                            String data)
                     throws DOMException

  Deprecated.
  Replace a series of characters at the specified (zero-based) offset with a new string, NOT necessarily of the same length. Convenience method, equivalent to a delete followed by an insert. Throws a DOMException if the specified offset is beyond the end of the existing data.

  Parameters:
    `offset` - The offset at which to begin replacing.
    `count` - The number of characters to remove, interpreted as in the delete() method.
    `data` - The new string to be inserted at offset in place of the removed data. Note that the entire string will be inserted -- the count parameter does not affect insertion, and the new data may be longer or shorter than the substring it replaces.
  Throws:
    `DOMException(INDEX_SIZE_ERR)` - if offset is negative or greater than length, or if count is negative.
    `DOMException(NO_MODIFICATION_ALLOWED_ERR)` - if node is readonly.
    `DOMException`

### setData

    public void setData(String value)
                 throws DOMException

  Deprecated.
  Store character data into this node.

  Throws:
    `DOMException(NO_MODIFICATION_ALLOWED_ERR)` - if node is readonly.
    `DOMException`

### setNodeValue

    public void setNodeValue(String value)

  Deprecated.
  Sets the content, possibly firing related events, and updating ranges (via notification to the document)

  Specified by:
    `setNodeValue` in interface `Node`
  Overrides:
    `setNodeValue` in class `NodeImpl`

### setNodeValueInternal

    protected void setNodeValueInternal(String value)

  Deprecated.
  This function added so that we can distinguish whether setNodeValue has been called from some other DOM functions. or by the client.

  This is important, because we do one type of Range fix-up, from the high-level functions in CharacterData, and another type if the client simply calls setNodeValue(value).

### substringData

    public String substringData(int offset,
                                int count)
                         throws DOMException

  Deprecated.
  Substring is more than a convenience function. In some implementations of the DOM, where the stored data may exceed the length that can be returned in a single string, the only way to read it all is to extract it in chunks via this method.

  Parameters:
    `offset` - Zero-based offset of first character to retrieve.
    `count` - Number of characters to retrieve. If the sum of offset and count exceeds the length, all characters to end of data are returned.
  Throws:
    `DOMException(INDEX_SIZE_ERR)` - if offset is negative or greater than length, or if count is negative.
    `DOMException(WSTRING_SIZE_ERR)` - In some implementations, count may exceed the permitted length of strings. If so, substring() will throw this DOMException advising the user to instead retrieve the data in smaller chunks.
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD